org.apache.tapestry5.internal.jpa

## Class NoopBeanManager

- java.lang.Object
- - org.apache.tapestry5.internal.jpa.NoopBeanManager

- All Implemented Interfaces:
    BeanManager
  Direct Known Subclasses:
    TapestryCDIBeanManagerForJPAEntityListeners

      public class NoopBeanManager
      extends Object
      implements BeanManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoopBeanManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areInterceptorBindingsEquivalent(Annotation interceptorBinding1, Annotation interceptorBinding2)`
    `boolean` | `areQualifiersEquivalent(Annotation qualifier1, Annotation qualifier2)`
    `<T> AnnotatedType<T>` | `createAnnotatedType(Class<T> type)`
    `<T> Bean<T>` | `createBean(BeanAttributes<T> attributes, Class<T> beanClass, InjectionTargetFactory<T> injectionTargetFactory)`
    `<T,X> Bean<T>` | `createBean(BeanAttributes<T> attributes, Class<X> beanClass, ProducerFactory<X> producerFactory)`
    `BeanAttributes<?>` | `createBeanAttributes(AnnotatedMember<?> type)`
    `<T> BeanAttributes<T>` | `createBeanAttributes(AnnotatedType<T> type)`
    `<T> CreationalContext<T>` | `createCreationalContext(Contextual<T> contextual)`
    `InjectionPoint` | `createInjectionPoint(AnnotatedField<?> field)`
    `InjectionPoint` | `createInjectionPoint(AnnotatedParameter<?> parameter)`
    `<T> InjectionTarget<T>` | `createInjectionTarget(AnnotatedType<T> type)`
    `void` | `fireEvent(Object event, Annotation... qualifiers)`
    `Set<Bean<?>>` | `getBeans(String name)`
    `Set<Bean<?>>` | `getBeans(Type beanType, Annotation... qualifiers)`
    `Context` | `getContext(Class<? extends Annotation> scopeType)`
    `ELResolver` | `getELResolver()`
    `<T extends Extension> T` | `getExtension(Class<T> extensionClass)`
    `Object` | `getInjectableReference(InjectionPoint ij, CreationalContext<?> ctx)`
    `<T> InjectionTargetFactory<T>` | `getInjectionTargetFactory(AnnotatedType<T> annotatedType)`
    `Set<Annotation>` | `getInterceptorBindingDefinition(Class<? extends Annotation> bindingType)`
    `int` | `getInterceptorBindingHashCode(Annotation interceptorBinding)`
    `Bean<?>` | `getPassivationCapableBean(String id)`
    `<X> ProducerFactory<X>` | `getProducerFactory(AnnotatedField<? super X> field, Bean<X> declaringBean)`
    `<X> ProducerFactory<X>` | `getProducerFactory(AnnotatedMethod<? super X> method, Bean<X> declaringBean)`
    `int` | `getQualifierHashCode(Annotation qualifier)`
    `Object` | `getReference(Bean<?> bean, Type beanType, CreationalContext<?> ctx)`
    `Set<Annotation>` | `getStereotypeDefinition(Class<? extends Annotation> stereotype)`
    `boolean` | `isInterceptorBinding(Class<? extends Annotation> annotationType)`
    `boolean` | `isNormalScope(Class<? extends Annotation> annotationType)`
    `boolean` | `isPassivatingScope(Class<? extends Annotation> annotationType)`
    `boolean` | `isQualifier(Class<? extends Annotation> annotationType)`
    `boolean` | `isScope(Class<? extends Annotation> annotationType)`
    `boolean` | `isStereotype(Class<? extends Annotation> annotationType)`
    `<X> Bean<? extends X>` | `resolve(Set<Bean<? extends X>> beans)`
    `List<Decorator<?>>` | `resolveDecorators(Set<Type> types, Annotation... qualifiers)`
    `List<Interceptor<?>>` | `resolveInterceptors(InterceptionType type, Annotation... interceptorBindings)`
    `<T> Set<ObserverMethod<? super T>>` | `resolveObserverMethods(T event, Annotation... qualifiers)`
    `void` | `validate(InjectionPoint injectionPoint)`
    `ExpressionFactory` | `wrapExpressionFactory(ExpressionFactory expressionFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoopBeanManager

          public NoopBeanManager()

  - ### Method Detail

    - #### getReference

          public Object getReference(Bean<?> bean,
                                     Type beanType,
                                     CreationalContext<?> ctx)

      Specified by:
        `getReference` in interface `BeanManager`

    - #### getInjectableReference

          public Object getInjectableReference(InjectionPoint ij,
                                               CreationalContext<?> ctx)

      Specified by:
        `getInjectableReference` in interface `BeanManager`

    - #### createCreationalContext

          public <T> CreationalContext<T> createCreationalContext(Contextual<T> contextual)

      Specified by:
        `createCreationalContext` in interface `BeanManager`

    - #### getBeans

          public Set<Bean<?>> getBeans(Type beanType,
                                       Annotation... qualifiers)

      Specified by:
        `getBeans` in interface `BeanManager`

    - #### getBeans

          public Set<Bean<?>> getBeans(String name)

      Specified by:
        `getBeans` in interface `BeanManager`

    - #### getPassivationCapableBean

          public Bean<?> getPassivationCapableBean(String id)

      Specified by:
        `getPassivationCapableBean` in interface `BeanManager`

    - #### resolve

          public <X> Bean<? extends X> resolve(Set<Bean<? extends X>> beans)

      Specified by:
        `resolve` in interface `BeanManager`

    - #### validate

          public void validate(InjectionPoint injectionPoint)

      Specified by:
        `validate` in interface `BeanManager`

    - #### fireEvent

          public void fireEvent(Object event,
                                Annotation... qualifiers)

      Specified by:
        `fireEvent` in interface `BeanManager`

    - #### resolveObserverMethods

          public <T> Set<ObserverMethod<? super T>> resolveObserverMethods(T event,
                                                                           Annotation... qualifiers)

      Specified by:
        `resolveObserverMethods` in interface `BeanManager`

    - #### resolveDecorators

          public List<Decorator<?>> resolveDecorators(Set<Type> types,
                                                      Annotation... qualifiers)

      Specified by:
        `resolveDecorators` in interface `BeanManager`

    - #### resolveInterceptors

          public List<Interceptor<?>> resolveInterceptors(InterceptionType type,
                                                          Annotation... interceptorBindings)

      Specified by:
        `resolveInterceptors` in interface `BeanManager`

    - #### isScope

          public boolean isScope(Class<? extends Annotation> annotationType)

      Specified by:
        `isScope` in interface `BeanManager`

    - #### isNormalScope

          public boolean isNormalScope(Class<? extends Annotation> annotationType)

      Specified by:
        `isNormalScope` in interface `BeanManager`

    - #### isPassivatingScope

          public boolean isPassivatingScope(Class<? extends Annotation> annotationType)

      Specified by:
        `isPassivatingScope` in interface `BeanManager`

    - #### isQualifier

          public boolean isQualifier(Class<? extends Annotation> annotationType)

      Specified by:
        `isQualifier` in interface `BeanManager`

    - #### isInterceptorBinding

          public boolean isInterceptorBinding(Class<? extends Annotation> annotationType)

      Specified by:
        `isInterceptorBinding` in interface `BeanManager`

    - #### isStereotype

          public boolean isStereotype(Class<? extends Annotation> annotationType)

      Specified by:
        `isStereotype` in interface `BeanManager`

    - #### getInterceptorBindingDefinition

          public Set<Annotation> getInterceptorBindingDefinition(Class<? extends Annotation> bindingType)

      Specified by:
        `getInterceptorBindingDefinition` in interface `BeanManager`

    - #### getStereotypeDefinition

          public Set<Annotation> getStereotypeDefinition(Class<? extends Annotation> stereotype)

      Specified by:
        `getStereotypeDefinition` in interface `BeanManager`

    - #### areQualifiersEquivalent

          public boolean areQualifiersEquivalent(Annotation qualifier1,
                                                 Annotation qualifier2)

      Specified by:
        `areQualifiersEquivalent` in interface `BeanManager`

    - #### areInterceptorBindingsEquivalent

          public boolean areInterceptorBindingsEquivalent(Annotation interceptorBinding1,
                                                          Annotation interceptorBinding2)

      Specified by:
        `areInterceptorBindingsEquivalent` in interface `BeanManager`

    - #### getQualifierHashCode

          public int getQualifierHashCode(Annotation qualifier)

      Specified by:
        `getQualifierHashCode` in interface `BeanManager`

    - #### getInterceptorBindingHashCode

          public int getInterceptorBindingHashCode(Annotation interceptorBinding)

      Specified by:
        `getInterceptorBindingHashCode` in interface `BeanManager`

    - #### getContext

          public Context getContext(Class<? extends Annotation> scopeType)

      Specified by:
        `getContext` in interface `BeanManager`

    - #### getELResolver

          public ELResolver getELResolver()

      Specified by:
        `getELResolver` in interface `BeanManager`

    - #### wrapExpressionFactory

          public ExpressionFactory wrapExpressionFactory(ExpressionFactory expressionFactory)

      Specified by:
        `wrapExpressionFactory` in interface `BeanManager`

    - #### createAnnotatedType

          public <T> AnnotatedType<T> createAnnotatedType(Class<T> type)

      Specified by:
        `createAnnotatedType` in interface `BeanManager`

    - #### createInjectionTarget

          public <T> InjectionTarget<T> createInjectionTarget(AnnotatedType<T> type)

      Specified by:
        `createInjectionTarget` in interface `BeanManager`

    - #### getInjectionTargetFactory

          public <T> InjectionTargetFactory<T> getInjectionTargetFactory(AnnotatedType<T> annotatedType)

      Specified by:
        `getInjectionTargetFactory` in interface `BeanManager`

    - #### getProducerFactory

          public <X> ProducerFactory<X> getProducerFactory(AnnotatedField<? super X> field,
                                                           Bean<X> declaringBean)

      Specified by:
        `getProducerFactory` in interface `BeanManager`

    - #### getProducerFactory

          public <X> ProducerFactory<X> getProducerFactory(AnnotatedMethod<? super X> method,
                                                           Bean<X> declaringBean)

      Specified by:
        `getProducerFactory` in interface `BeanManager`

    - #### createBeanAttributes

          public <T> BeanAttributes<T> createBeanAttributes(AnnotatedType<T> type)

      Specified by:
        `createBeanAttributes` in interface `BeanManager`

    - #### createBeanAttributes

          public BeanAttributes<?> createBeanAttributes(AnnotatedMember<?> type)

      Specified by:
        `createBeanAttributes` in interface `BeanManager`

    - #### createBean

          public <T> Bean<T> createBean(BeanAttributes<T> attributes,
                                        Class<T> beanClass,
                                        InjectionTargetFactory<T> injectionTargetFactory)

      Specified by:
        `createBean` in interface `BeanManager`

    - #### createBean

          public <T,X> Bean<T> createBean(BeanAttributes<T> attributes,
                                          Class<X> beanClass,
                                          ProducerFactory<X> producerFactory)

      Specified by:
        `createBean` in interface `BeanManager`

    - #### createInjectionPoint

          public InjectionPoint createInjectionPoint(AnnotatedField<?> field)

      Specified by:
        `createInjectionPoint` in interface `BeanManager`

    - #### createInjectionPoint

          public InjectionPoint createInjectionPoint(AnnotatedParameter<?> parameter)

      Specified by:
        `createInjectionPoint` in interface `BeanManager`

    - #### getExtension

          public <T extends Extension> T getExtension(Class<T> extensionClass)

      Specified by:
        `getExtension` in interface `BeanManager`

5.6.1 - Copyright © 2003-2020 The Apache Software Foundation.